<?php 
// abrimos la sesión cURL
$fields_string = "";
$ch = curl_init();

// definimos la URL a la que hacemos la petición
curl_setopt($ch, CURLOPT_URL,"http://www.cmax-connect.com/api/orden");
// definimos el número de campos o parámetros que enviamos mediante POST
$fields = array(
    'usuario' => "cmax",
    'password' => "XV9D1Cyza",
    'orden' => "1594",
    'nombre' => "Juan Perezáéíóú",
    'calle' => "Calle prueba 105áéíóú",
    'colonia' => "Monteverdeáéíóú",
    'telefono' => "8331171212",
  'ciudad' => "Cd. Maderoáéíóú",
  'estado' => "Tamaulipasáéíóú",
  'cp' => "89420",
  'sucursal' => "10",
  'productos' => "465010R:1",
  'envio' => "estandar"
);

//url-ify the data for the POST
foreach($fields as $key=>$value) { $fields_string .= $key.'='.$value.'&'; }
rtrim($fields_string, '&');

curl_setopt($ch, CURLOPT_POST, count($fields));
// definimos cada uno de los parámetros
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));

// recibimos la respuesta y la guardamos en una variable
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$remote_server_output = curl_exec ($ch);

// cerramos la sesión cURL
curl_close ($ch);

// mostramos los datos recibidos
print_r($remote_server_output);
?>
